1.0

1.0

get /v1/usages

Description

Get usage list.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querystart_date
optional
Start date (YYYY-MM-dd)
Example : 2024-08-01
stringNone
queryend_date
optional
End date (YYYY-MM-dd)
Example : 2024-08-01
stringNone
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
Account Id
Example : 228cb9e4a7934f84853594c7f26f7a21
any of [string, array[string], null]None
queryservice_category
optional
Service Category
Example : COMPUTE
any of [string, array[string], null]None
querybilling_item_id
optional
Billing Item Id
Example : VIRTUAL_SERVER
any of [string, array[string], null]None
queryresource_name
optional
Resource Name
Example : test-vm
any of [string, null]None
queryregion
optional
Region
Example : kr-west1
any of [string, array[string], null]None
querycontract_id
optional
Contract Id
Example : C002612775
any of [string, null]None
queryorder_status
optional
CCBS Order Status
Example : 04
any of [string, array[string], null]None

Responses

HTTP CodeDescriptionSchema
200OKUsageListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/usages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = costexplorer 1.0"

Example HTTP response

Response 200

{
    "timezone": "Asia/Seoul",
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "usages": [
        {
            "id": "5f3688a192094ddeb0c94166a3e88935",
            "account_id": "228cb9e4a7934f84853594c7f26f7a21",
            "service_category": "COMPUTE",
            "billing_item_id": "VIRTUAL_SERVER",
            "ccbs_product_code": "PD00013862",
            "resource_id": "7f6741f3-d9f0-4262-9a5f-627e373567a7",
            "contract_id": "C002612775",
            "order_status": "04",
            "usage_date": "2024-08-01T00:00:00",
            "amounts": {
                "krw": "500.0000000000",
                "usd": "0.0"
            },
            "status_code": "0"
        }
    ]
}